﻿namespace DNNtc
{
    /// <summary>
    /// Enum for type of component used.
    /// </summary>
    public enum ComponentType
    {
        Script,
        Assembly,
        Module
    }

    /// <summary>
    /// Enum for the type of controls DotNetNuke is using. 
    /// </summary>
    public enum ControlType
    {
        SkinObject,
        Anonymous,
        View,
        Edit,
        Admin,
        Host
    }

    /// <summary>
    /// The type of dependency for the DotNetNuke Module
    /// </summary>
    public enum ModuleDependency
    {
        CoreVersion,
        Package,
        Permission,
        Type
    }

    /// <summary>
    /// The type of script for the DotNetNuke Module
    /// </summary>
    public enum ScriptType
    {
        Install,
        Uninstall
    }
}
